#
# Conditional build:
%bcond_without	dotnet	# without .net support

%ifarch i386 x32
%undefine	with_dotnet
%endif

%{?with_dotnet:%include	/usr/lib/rpm/macros.mono}
Summary:	GMIME library
Summary(pl.UTF-8):	Biblioteka GMIME
Name:		gmime22
Version:	2.2.27
Release:	5
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gmime/2.2/gmime-%{version}.tar.bz2
# Source0-md5:	16d89accbe5c79ba22e3dfabf53e3b7e
Patch0:		%{name}-link.patch
Patch1:		%{name}-dont-delay-sign.patch
Patch2:		format-security.patch
URL:		http://spruce.sourceforge.net/gmime/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.12.1
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	gtk-doc-automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
%if %{with dotnet}
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.9.0
BuildRequires:	mono-csharp >= 1.1.16.1
%endif
Obsoletes:	gmime < 2.2.23
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows you to manipulate MIME messages.

%description -l pl.UTF-8
Ta biblioteka pozwala na manipulowanie wiadomościami MIME.

%package devel
Summary:	Header files to develop libgmime applications
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów z użyciem libgmime
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.1
Requires:	zlib-devel
Obsoletes:	gmime-devel < 2.2.23

%description devel
Header files develop libgmime applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów z użyciem libgmime.

%package static
Summary:	Static gmime library
Summary(pl.UTF-8):	Statyczna biblioteka gmime
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	gmime-static < 2.2.23

%description static
Static gmime library.

%description static -l pl.UTF-8
Statyczna biblioteka gmime.

%package apidocs
Summary:	gmime library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gmime
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
gmime library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki gmime.

%package -n dotnet-gmime22-sharp
Summary:	.NET language bindings for gmime
Summary(pl.UTF-8):	Wiązania gmime dla .NET
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dotnet-gtk-sharp2 >= 2.9.0
Requires:	mono >= 1.1.16.1
Obsoletes:	dotnet-gmime-sharp < 2.2.23

%description -n dotnet-gmime22-sharp
.NET language bindings for gmime.

%description -n dotnet-gmime22-sharp -l pl.UTF-8
Wiązania gmime dla .NET.

%package -n dotnet-gmime22-sharp-devel
Summary:	Development part of dotnet-gmime-sharp
Summary(pl.UTF-8):	Część dla programistów dotnet-gmime-sharp
Group:		Development/Libraries
Requires:	dotnet-%{name}-sharp = %{version}-%{release}
Obsoletes:	dotnet-gmime-sharp-devel < 2.2.23

%description -n dotnet-gmime22-sharp-devel
Development part of dotnet-gmime-sharp.

%description -n dotnet-gmime22-sharp-devel -l pl.UTF-8
Część dla programistów dotnet-gmime-sharp.

%prep
%setup -q -n gmime-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
touch config.rpath
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CFLAGS="%{rpmcflags} -UG_DISABLE_DEPRECATED"
%configure \
	--enable-largefile \
	--%{?with_dotnet:enable}%{!?with_dotnet:disable}-mono \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

rm -f $RPM_BUILD_ROOT%{_bindir}/uu{de,en}code

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libgmime-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgmime-2.0.so.2

%files devel
%defattr(644,root,root,755)
%doc PORTING
%attr(755,root,root) %{_bindir}/gmime-config
%attr(755,root,root) %{_libdir}/libgmime-2.0.so
%{_libdir}/libgmime-2.0.la
%attr(755,root,root) %{_libdir}/gmimeConf.sh
%{_pkgconfigdir}/gmime-2.0.pc
%{_includedir}/gmime-2.0

%files static
%defattr(644,root,root,755)
%{_libdir}/libgmime-2.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gmime

%if %{with dotnet}
%files -n dotnet-gmime22-sharp
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gac/gmime-sharp

%files -n dotnet-gmime22-sharp-devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gmime-sharp
%{_datadir}/gapi-2.0/gmime-api.xml
%{_pkgconfigdir}/gmime-sharp.pc
%endif
%changelog
* Fri Mar 15 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gmime22.git;a=log;h=master

* Fri Mar 15 2019 Jan Palus <atler@pld-linux.org> 97853d0
- release 5 (by relup.sh)

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> f8fce8d
- disable dotnet on x32
- fix format string errors
- fix glib2 deprecation
- rel 4

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 514088e
- noarch apidocs

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> 842020b
- Up to 2.2.27

* Thu Oct 21 2010 Caleb Maclennan <caleb@alerque.com> 084db22
- Up to 2.2.26

* Mon Nov 30 2009 sparky <sparky@pld-linux.org> 254c1d0
- BR: gettext-devel, gtk-doc, gtk-doc-automake

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 79023ff
- drop obsolete files

* Thu Apr 09 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 300dcb9
- updated for 2.4.6

* Thu Oct 16 2008 Marcin Banasiak <marcin.banasiak@gmail.com> ebea314
- re-added with -kb

* Thu Oct 16 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 20b12d0
- removed

* Thu Oct 16 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 0030342
- fix build with mono 2.0

* Thu Oct 16 2008 Marcin Banasiak <marcin.banasiak@gmail.com> fdd9685
- moved gmime 2.2.x here; gmime.spec has 2.4.x
- updated to 2.2.23
- added -dont-delay-sign.patch to fix build with mono 2.0
- added apidocs subpackage
- added Obsoletes for gmime < 2.2.23
- there is no conflict between gmime 2.2.x and gmime 2.4.x

* Fri Oct 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 1618782
- updated to 2.4.2; merged changes from DEVEL

* Fri Aug 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 3f51269
- updated to 2.2.22
- library license is LGPL (v2.1+), only tools are GPL but are not packaged

* Sun Jul 27 2008 Marcin Banasiak <marcin.banasiak@gmail.com> e8ed551
- release 2

* Sat May 24 2008 Patryk Zawadzki <patrys@room-303.com> 17ad448
- 2.2.21

* Sun May 18 2008 Patryk Zawadzki <patrys@room-303.com> 2bb3727
- 2.2.20

* Tue Jan 08 2008 Patryk Zawadzki <patrys@room-303.com> e4cff06
- 2.2.15

* Sun Dec 30 2007 zbyniu <zbyniu@pld-linux.org> d1ccda6
- up to 2.2.12

* Sat Dec 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 7a13a80
- updated to 2.2.11
- enable largefile support
- removed obsolete --enable-ipv6 (always enabled now)

